Accounts

User Exports

To create an archive of user data.

Request user export

POST
https://peertube2.cpy.re/api/v1/users/{userId}/exports/request

Request an archive of user data. An email is sent when the archive is ready.

Body

application/json
withVideoFilesboolean

Whether to include video files in the archive

Parameters

userIdid>= 1requiredpath

User id

Response

200OKobject

successful operation

Response fields application/json
exportobject
Show child attributes
idinteger

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

List user exports

GET
https://peertube2.cpy.re/api/v1/users/{userId}/exports

PeerTube >= 6.1

Parameters

userIdid>= 1requiredpath

User id

Response

200OKobject

successful operation

Response fields application/json
idinteger
stateobject
Show child attributes

The user export state:

  • 1: Pending
  • 2: Processing
  • 3: Completed
  • 4: Errored
labelstring
sizeinteger

Size of the archive file in bytes

privateDownloadUrlstring

This URL already contains the JWT token, so no additional authentication credentials are required

createdAtstring<date-time>
expiresOnstring<date-time>

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Delete a user export

DELETE
https://peertube2.cpy.re/api/v1/users/{userId}/exports/{id}

PeerTube >= 6.1

Parameters

userIdid>= 1requiredpath

User id

idid>= 1requiredpath

Entity id

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.